Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fo.expr
Class PPColWidthFunction

    java.lang.Object
      org.apache.fop.fo.expr.FunctionBase
          org.apache.fop.fo.expr.PPColWidthFunction

All Implemented Interfaces:
  Function

public class PPColWidthFunction
extends FunctionBase

Class modelling the proportional-column-width function. See Sec. 5.10.4 of the XSL-FO standard.

Constructor Summary
`PPColWidthFunction()`

Method Summary
`Property` | `eval(Property[] args, PropertyInfo pInfo)` Evaluate the function
`PercentBase` | `getPercentBase()`
`int` | `nbArgs()`

Methods inherited from class org.apache.fop.fo.expr.FunctionBase
`padArgsWithPropertyName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PPColWidthFunction

    public PPColWidthFunction()

Method Detail

### nbArgs

    public int nbArgs()

  Returns:
    1 (the number of arguments for the proportional-column-width function)

### getPercentBase

    public PercentBase getPercentBase()

  Specified by:
    `getPercentBase` in interface `Function`
  Overrides:
    `getPercentBase` in class `FunctionBase`
  Returns:
    the `PercentBase` for the proportional-column-width() function

### eval

    public Property eval(Property[] args,
                         PropertyInfo pInfo)
                  throws PropertyException

  Description copied from interface: `Function`
  Evaluate the function

  Parameters:
    `args` - array of arguments for this function
    `pInfo` - PropertyInfo for this function
  Returns:
    numeric Property containing the units of proportional measure for this column
  Throws:
    `PropertyException` - for non-numeric operand, or if the parent element is not a table-column

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.